--- title: "Delete config group" slug: "analytics-cdss-configgroup-deleteconfiggroup" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/analytics-cdss-configgroup-deleteconfiggroup" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete config group Available in VPC Delete the config group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | DELETE | /api/v1/configGroup/deleteConfigGroup/{configGroupNo} (Korea Region) | | DELETE | /api/sgn-v1/configGroup/deleteConfigGroup/{configGroupNo} (Singapore Region) | | DELETE | /api/jpn-v1/configGroup/deleteConfigGroup/{configGroupNo} (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `configGroupNo` | Integer | Required | Config group number - See [Get config group list](/docs/en/analytics-cdss-configgroup-getkafkaversionconfiggrouplist). | ### Request example The request example is as follows: ``` curl --location --request DELETE 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/configGroup/deleteConfigGroup/237' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.isDelete` | Boolean | - | Deletion success status - `true`: succeeded - `false`: failed | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "isDelete": true }, "requestId": "32bde0c7-****-****-****-6f4d13118bf7" } ```